Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010452Dwarf FortressLegends Mode -- Historical Figurespublic2017-12-15 21:162018-01-07 14:33
ReporterHuntthetroll 
Assigned ToToady One 
PrioritynormalSeveritymajorReproducibilityrandom
StatusresolvedResolutionfixed 
Platformx64OSMicrosoft WindowsOS VersionWindows 10
Product Version0.44.02 
Target VersionFixed in Version0.44.04 
Summary0010452: DF can lose track of the links between fake and real identities after end of worldgen
DescriptionAfter world generation ends, many new historical events involving secret agents appear to show that their cover identities have become "disassociated" from them. Often, a completely different historical figure will appear to use the fake identity, regardless of whether the fake's race and gender match those of its new "owner." Most absurdly, the new owner might even be dead.
Steps To ReproducePlay DF in either mode (fortress or adventure). Retire fort or adventurer. Check legends. Not guaranteed to work.
Additional InformationIllustrated with screenshots here: https://imgur.com/a/WtoWa [^]
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0010505resolvedLoci Titans, FBs, deities assume identities during play 

-  Notes
(0037507)
Shonai_Dweller (reporter)
2018-01-04 15:45
edited on: 2018-01-04 15:54

http://dffd.bay12games.com/file.php?id=13372 [^]

Retire this fortress (which was used to report another identity issue, bug 0010490 ) and check out Mistem Chuckbells. Murdered in 124, secretly took on the identity of "Catten Floortalk" 45 years later. Zombie spy!

Correct histfig (I think) is Inod Boltrelics. He's currently in the fortress in the save under the name Catten Floortalk. Although besides his name and profession, his background details (family and such) are all true.

It's all messed up!

(0037509)
Urlance Woolsbane (reporter)
2018-01-04 18:18

I thought something like this was happening, as evidenced by Forgotten Beasts and the like purportedly taking on identities, but I couldn't find a pattern. I initially thought that the identity number was being assigned in place of the HF number for the impersonation event, but a perusal of Shonai Dweller's save proved otherwise.

Regardless, poor Inod seems to be the victim of two distinct bugs...
(0037528)
Loci (manager)
2018-01-06 13:16

v0.44.03: kneaugh uploaded two saves with a deity and several forgotten beasts assuming identities in 0010505:

http://dffd.bay12games.com/file.php?id=13391 [^]
(0037545)
Toady One (administrator)
2018-01-07 14:33

I found a few id number problems that could be responsible for all of this. Old saves will still show the erroneous historical event, but new worlds shouldn't have the problem in the next release.

- Issue History
Date Modified Username Field Change
2017-12-15 21:16 Huntthetroll New Issue
2017-12-16 09:24 Huntthetroll Issue Monitored: Huntthetroll
2018-01-04 15:45 Shonai_Dweller Note Added: 0037507
2018-01-04 15:54 Shonai_Dweller Note Edited: 0037507 View Revisions
2018-01-04 18:18 Urlance Woolsbane Note Added: 0037509
2018-01-06 10:56 Loci Assigned To => Loci
2018-01-06 10:56 Loci Status new => confirmed
2018-01-06 13:13 Loci Relationship added has duplicate 0010505
2018-01-06 13:16 Loci Note Added: 0037528
2018-01-07 14:33 Toady One Note Added: 0037545
2018-01-07 14:33 Toady One Status confirmed => resolved
2018-01-07 14:33 Toady One Fixed in Version => Next Version
2018-01-07 14:33 Toady One Resolution open => fixed
2018-01-07 14:33 Toady One Assigned To Loci => Toady One
2018-01-11 07:53 Huntthetroll Issue End Monitor: Huntthetroll


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker